Bug 170535 - Accessing the environment via properties fails
Accessing the environment via properties fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ant (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 12:50 EDT by Gary Benson
Modified: 2008-05-06 20:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:14:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2005-10-12 12:50:04 EDT
JOnAS has the following in its conformance tests' build.xml"

  <property environment="myenv" />

Running with -verbose you see that this line is picked up but then everything in
the environment is subsequently ignored:

  [property] Loading Environment myenv.
  Override ignored for property myenv.GDMSESSION
  Override ignored for property myenv.LESSOPEN
  Override ignored for property myenv.HISTSIZE
  Override ignored for property myenv.SSH_AGENT_PID
  ...etc

Printing out any of the myenv things shows that they are all set to the empty
string.  They're present, in that attempting to access something not in the
environment causes "Property ${myenv.FOO} has not been set" to be printed out
and the result of the expansion will be literally "${myenv.FOO}".

Anyway, in same build.xml a classpath is built with the following entry:

  <pathelement path="${myenv.CLASSPATH}" />

At this point ${myenv.CLASSPATH} expands to an empty string so the things that
should be added to the classpath aren't and the build subsequently fails.

Version-Release number of selected component (if applicable):
ant-1.6.2-3jpp_14fc
jonas-4.3.3-1jpp_12fc
libgcj-4.0.1-14 (+ classloader deadlock patches)
Comment 1 Gary Benson 2005-10-25 05:56:58 EDT
This build.xml is fine, so I guess it's a nesting thing:

  <project>
    <property environment="myenv" />
    <echo message="myenv.USER is ${myenv.USER}" />
  </project>
Comment 2 Bug Zapper 2008-04-03 12:29:06 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:14:38 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.